#!/bin/bash
# Set node version
VERSION=$1

if [ -d "/home/node" ]
then
	read -p "'/home/node' already exists, delete folder? (y/n): " var
	if [ "$var" == "y" ]
	then
		rm -rf /home/node
	elif [ "$var" == "n" ]
	then
		exit 1
	else
		echo "no valid entscheidung! redo"
		exit 1
	fi
fi

if [ ${#VERSION} -eq 0 ]
then
  	read -p "Please enter the node version you want to install: " userversion
  	if [ ${#userversion} -gt 0 ]
  	then
  		VERSION=$userversion
  	else
	  	echo "Provide a valid versionnumber, honk!"
	  	exit 1
	fi
fi

TESTLINK="$(curl -s --head https://nodejs.org/dist/v$VERSION/node-v$VERSION-linux-x64.tar.gz | head -n 1 | grep 200)"

if [ ${#TESTLINK} -gt 0 ]
then
	. /etc/default/epages6
	cd /home/
	curl -o node.tar.gz https://nodejs.org/dist/v$VERSION/node-v$VERSION-linux-x64.tar.gz
	tar -xvf node.tar.gz
	rm -f node.tar.gz
	mv /home/node-*/ /home/node/
	cd $EPAGES_CARTRIDGES/DE_EPAGES/JQuery/t/qUnit/
	/home/node/bin/npm install
else
	echo "Could not find node version on server. Please provide a valid versionnumber."
	#honk
fi